OpenTTD Source: WaterRegionPatchDesc Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
WaterRegionPatchDesc Struct Reference

Describes a single interconnected patch of water within a particular water region. More...

`#include <water_regions.h>`

## Public Member Functions
bool | operator== (const WaterRegionPatchDesc &other) const
bool | operator!= (const WaterRegionPatchDesc &other) const

## Data Fields
int | x
| The X coordinate of the water region, i.e. X=2 is the 3rd water region along the X-axis.
int | y
| The Y coordinate of the water region, i.e. Y=2 is the 3rd water region along the Y-axis.
TWaterRegionPatchLabel | label
| Unique label identifying the patch within the region.

## Detailed Description

Describes a single interconnected patch of water within a particular water region.

Definition at line 26 of file water_regions.h.

## Member Function Documentation

## ◆ operator!=()

bool WaterRegionPatchDesc::operator!= | ( | const WaterRegionPatchDesc & | other | ) | const
| inline

Definition at line 33 of file water_regions.h.

## ◆ operator==()

bool WaterRegionPatchDesc::operator== | ( | const WaterRegionPatchDesc & | other | ) | const
| inline

Definition at line 32 of file water_regions.h.

## Field Documentation

## ◆ label

TWaterRegionPatchLabel WaterRegionPatchDesc::label

Unique label identifying the patch within the region.

Definition at line 30 of file water_regions.h.

Referenced by CalculateWaterRegionPatchHash(), VisitAdjacentWaterRegionPatchNeighbors(), and VisitWaterRegionPatchNeighbors().

## ◆ x

int WaterRegionPatchDesc::x

The X coordinate of the water region, i.e. X=2 is the 3rd water region along the X-axis.

Definition at line 28 of file water_regions.h.

Referenced by VisitAdjacentWaterRegionPatchNeighbors(), and VisitWaterRegionPatchNeighbors().

## ◆ y

int WaterRegionPatchDesc::y

The Y coordinate of the water region, i.e. Y=2 is the 3rd water region along the Y-axis.

Definition at line 29 of file water_regions.h.

Referenced by VisitAdjacentWaterRegionPatchNeighbors(), and VisitWaterRegionPatchNeighbors().

The documentation for this struct was generated from the following file:

- src/pathfinder/water_regions.h